%define upstream_name    Memoize-ExpireLRU
%define upstream_version 0.56

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Provide LRU Expiration for Memoize
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Memoize/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AutoLoader)
BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Memoize)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
For the theory of Memoization, please see the Memoize module documentation.
This module implements an expiry policy for Memoize that follows LRU
semantics, that is, the last n results, where n is specified as the
argument to the 'CACHESIZE' parameter, will be cached.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.560.0-5.mga9
+ Revision: 1809677
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.560.0-4.mga8
+ Revision: 1505148
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.560.0-3.mga7
+ Revision: 1284766
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.560.0-2.mga7
+ Revision: 1165467
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 0.560.0-1.mga7
+ Revision: 1156152
- update to 0.56

* Sun Jun 19 2016 pterjan <pterjan> 0.550.0-8.mga6
+ Revision: 1029876
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 0.550.0-7.mga6
+ Revision: 941039
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.550.0-6.mga5
+ Revision: 745654
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.550.0-5.mga5
+ Revision: 735695
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.550.0-4.mga5
+ Revision: 685392
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.550.0-3.mga4
+ Revision: 512889
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.550.0-2.mga3
+ Revision: 369691
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.550.0-1.mga1
+ Revision: 26571
- mageia rebuild
- imported package perl-Memoize-ExpireLRU

